org.eclipse.jgit.lib

## Class BranchConfig

- java.lang.Object
- - org.eclipse.jgit.lib.BranchConfig

    public class BranchConfig
    extends Object

Branch section of a Git configuration file.

### Constructor Summary

Constructors
Constructor and Description
`BranchConfig(Config config, String branchName)` Create a new branch config, which will read configuration from config about specified branch.

### Method Summary

Methods
`String` `getRemoteTrackingBranch()`
`String` `getTrackingBranch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BranchConfig

    public BranchConfig(Config config,
                String branchName)

Create a new branch config, which will read configuration from config about specified branch.

Parameters:
  `config` - the config to read from
  `branchName` - the short branch name of the section to read

### Method Detail

#### getTrackingBranch

    public String getTrackingBranch()

Returns:
  the full tracking branch name or `null` if it could not be determined

#### getRemoteTrackingBranch

    public String getRemoteTrackingBranch()

Returns:
  the full remote-tracking branch name or `null` if it could not be determined. If you also want local tracked branches use `getTrackingBranch()` instead.